<bugID>1391486<Summary>Preference UI  cloud storage option should handle browser.download.dir pref unspecified in new profile.</Summary><Description>Steps to replicate:
Pr-requisite
- Desktop with cloud storage provider client such as Dropbox

1. Open about:config and enable Cloud Storage API by setting pref &#8216;cloud.services.api.enabled&#8217; to true
2. Set pref cloud.services.storage.key pref to provider key such as &#8217;Dropbox&#8217;
3. Ensure you have a valid download path for cloud storage downloads by manually creating folder &#8216;Downloads&#8217; in provider folder e.g. ~/Dropbox/Downloads
4. Open about:preferences it should show radio button &#8216;Save to &lt;provider name&gt;' under Downloads and &#8216;Save to &lt;system default downloads&gt;&#8217; first option as selected
5. Open about:config browser.download.folderList is set to 1 and browser.download.dir is unspecified
6. Selecting &#8216;Save to &lt;provider name&gt;' changes Download FileField label to &#8216;Desktop&#8217;

Expected:

Download FileField label should stay &#8216;Downloads&#8217;</Description></bugID>